Bug 436933 - "mkisofs -no-emul-boot /blah" causes a segmentation fault
"mkisofs -no-emul-boot /blah" causes a segmentation fault
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cdrtools (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Harald Hoyer
: Patch
Depends On:
  Show dependency treegraph
Reported: 2008-03-11 04:53 EDT by Andrew Ryan
Modified: 2014-06-11 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-14 04:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
check that cbe->boot_image isn't NULL (586 bytes, patch)
2008-03-11 04:53 EDT, David Robinson
no flags Details | Diff

  None (edit)
Description David Robinson 2008-03-11 04:53:58 EDT
+++ This bug was initially created as a clone of Bug #436932 +++

Description of problem:
When mkisofs's -no-emul-boot option is used but an image isn't specified (-b
image) mkisofs will segfault.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mkisofs -no-emul-boot /blah
Actual results:
# mkisofs -no-emul-boot /blah
INFO:   UTF-8 character encoding detected by locale settings.
        Assuming UTF-8 encoded filenames on source filesystem,
        use -input-charset to override.
Segmentation fault

Expected results:
no segfault

Additional info:
Patch to correct the problem is attached.
Comment 1 David Robinson 2008-03-11 04:53:58 EDT
Created attachment 297583 [details]
check that cbe->boot_image isn't NULL
Comment 2 Phil Knirsch 2008-05-14 09:36:45 EDT
Proposing bug for RHEL-5.3 FasTrack and granting Devel ACK.

Read ya, Phil
Comment 6 RHEL Product and Program Management 2008-06-10 08:26:30 EDT
This bugzilla was reviewed by QE as a non-FasTrack request.
It has since been proposed for FasTrack. The qa_ack has 
been reset. QE needs to re-review this bugzilla for FasTrack.
Comment 12 errata-xmlrpc 2008-08-14 04:49:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 14 Jörg Schilling 2014-06-11 07:08:21 EDT
If you did use an original version of mkisofs, you would see this:

mkisofs -no-emul-boot /blah
Setting input-charset to 'ISO8859-1' from locale.
mkisofs: Missing boot image name, use -eltorito-boot option.

The text in 


claims that RedHat did upgrade cdrtools, but this is not true.
RedHat still ships the defective dead fork from 10 years ago.

If you like to get fixes for the various documented bugs, upgrade
to reent original code from:


Note You need to log in before you can comment on or make changes to this bug.